import request from '@/utils/request'

// 查询重点领域监管列表
export function listZdlyjg(query) {
  return request({
    url: '/tcZz/netManage/zdlyjg/list',
    method: 'get',
    params: query
  })
}

// 查询重点领域监管详细
export function getZdlyjg(id) {
  return request({
    url: '/tcZz/netManage/zdlyjg/' + id,
    method: 'get'
  })
}

// 新增重点领域监管
export function addZdlyjg(data) {
  return request({
    url: '/tcZz/netManage/zdlyjg',
    method: 'post',
    data: data
  })
}

// 修改重点领域监管
export function updateZdlyjg(data) {
  return request({
    url: '/tcZz/netManage/zdlyjg',
    method: 'put',
    data: data
  })
}

// 删除重点领域监管
export function delZdlyjg(id) {
  return request({
    url: '/tcZz/netManage/zdlyjg/' + id,
    method: 'delete'
  })
}

// 重点领域监管批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/netManage/zdlyjg/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/netManage/zdlyjg/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}